<template>
    <div class="container mt-4">
        <div class="row">
            <div class="col-md-5">
                <div class="card shadow">
                    <div class="card-header bg-warning p-0">
                        <img src="https://www.marthastewart.com/thmb/V27CVPAKOC1Yw5fvnBqZ3l66sro=/1500x0/filters:no_upscale():max_bytes(150000):strip_icc()/cat-breeds-stay-small-forever-composite2-getty-0723-7b115b6030814b02a73a6377bedcc5b8.jpg"
                            class="card-img-top" alt="img">
                    </div>
                    <div class="card-body">
                        <p class="card-text">
                            &copy;เทคโนโลยีสารสนเทศ 2024.
                        </p>
                    </div>
                </div>
            </div>

            <div class="col-md-6">
                <div class="card shadow">
                    <div class="card-header" style="background-color: rgb(243, 228, 209);">
                        <h5 class="text-back">
                            เข้าสู่ระบบเพื่อใช้งาน
                        </h5>
                    </div>
                    <div class="card-body">
                        <p class="card-text text-success">
                            <form @click.prevent>
                                <div class="mb-2">
                                    <label for="" class="form-label">Email</label>
                                    <input type="text" v-model="userForm.email" class="form-control" placeholder="email" required>
                                </div>
                                <div class="mb-2">
                                    <label for="" class="form-label">password</label>
                                    <input type="password" v-model="userForm.password" class="form-control" placeholder="password" required>
                                </div>
                                <span class="text-danger" v-for="error in v$.password.$errors" :key="error.$uid" v-if="ture">
                                    {{ error.$message }}
                                </span>
                                <div class="mb-2">
                                    <p type="submit" class="btn btn-sm shadow d-block" @click="notify" style="background-color: rgb(243, 228, 209) ;">
                                        เข้าสู่ระบบ
                                    </p>
                                </div>
                            </form>
                        </p>
                        <div class="mb-2">
                            <router-link :to="{name:'signup'}" class="text-decoration-none">
                                <p class="btn shadow d-block">
                                    ยังไม่มีบัญชี?
                                </p>
                            </router-link>
                        </div>
                        <div class="mb-2 text-center">
                            <span class="text-danger">
                                {{ errorUser.userNotFound }}
                            </span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</template>

<script setup>
import { computed, reactive } from 'vue';
import { toast } from 'vue3-toastify';
import { useVuelidate } from '@vuelidate/core'
import { email,required } from '@vuelidate/validators'
import axios from 'axios';
import router from '@/router'

const state = reactive({
    name: 'dashboard'
})

const errorUser = reactive({
    userNotFound: ""
})

const notify = async () => {
    const result = await v$.value.$validate()
    if (result) {
        const result = await axios.get(`https://json-server-vue3-6nhl.onrender.com/users?email=${userForm.email}&password=${userForm.password}`)
        console.log(result)
        if (result.status == 200 && result.data.length > 0) {
            localStorage.setItem("user-info",JSON.stringify(result.data[0]))
            // console.log("Logged In")
            toast.success("Submit successful", {
                autoClose: 1000,
                position:toast.POSITION.TOP_CENTER
        });
            errorUser.userNotFound = "พบผู้ใช้งาน"
            router.push(state.name)
        } else {
            // console.log("No User Found")
            alert('Error, from submitted')
            errorUser.userNotFound = "ไม่พบผู้ใช้งาน"
        }
    } else {
        alert('Error, from submitted')
    }
}



const userForm = reactive({
    email: "",
    password: ""
})

const rules = computed(() => {
    return {
        email: { required, email },
        password: { required }
    }
})


const v$ = useVuelidate(rules, userForm)
</script>

<style>
@import url('https://fonts.googleapis.com/css2?family=Sarabun&display=swap');

.form-label {
    font-family: 'Sarabun', sans-serif;
}

.btn {
    font-family: 'Sarabun', sans-serif;
}
</style>